Loading...
Searching...
No Matches
Opm::SegmentSet Class Reference

Result Set From SegmentMatcher's Matching Process. More...

`#include <SegmentMatcher.hpp>`

## Classes

class | WellSegmentRange
| Segment Range for Single MS Well. More...

## Public Types

using | WellSegmentRangeIterator = std::vector<int>::const_iterator
| Demarcation of Start/End of Segment Range for Single MS Well.

## Public Member Functions

| SegmentSet ()
| Default Constructor.
bool | empty () const
| Predicate for whether or not segment set is empty.
bool | isScalar () const
| Predicate for whether or not segment set applies to a single segment in a single MS well.
std::vector< std::string_view > | wells () const
| Retrieve list of (MS) well names covered by this result set.
std::size_t | numWells () const
| Retrieve number of (MS) wells covered by this result set.
WellSegmentRange | segments (std::string_view well) const
| Retrive result set's segments for single MS well.
WellSegmentRange | segments (const std::size_t well) const
| Retrive result set's segments for single MS well.

## Friends

class | SegmentMatcher
| Default constructor.

## Detailed Description

Result Set From SegmentMatcher's Matching Process.

## Member Function Documentation

## empty()

bool Opm::SegmentSet::empty | ( |  | ) | const

inline

Predicate for whether or not segment set is empty.

Returns
  Whether or not segment set is empty.

## isScalar()

bool Opm::SegmentSet::isScalar | ( |  | ) | const

inline

Predicate for whether or not segment set applies to a single segment in a single MS well.

Returns
  Whether or not segment set is a single segment in a single MS well. Useful to distinguish whether or not this segment set generates a scalar UDQ or a UDQ set in the context of a segment level UDQ.

## numWells()

std::size_t Opm::SegmentSet::numWells | ( |  | ) | const

inline

Retrieve number of (MS) wells covered by this result set.

Returns
  Number of MS wells covered by this result set.

## segments() [1/2]

Opm::SegmentSet::WellSegmentRange Opm::SegmentSet::segments | ( | const std::size_t | well | ) | const

Retrive result set's segments for single MS well.

Parameters

  [in] | well | Well number. Should be between zero and inclusive.

Returns
  range of `well's` segments matching the input request. Empty unless `well` is between zero and
  inclusive.

## segments() [2/2]

Opm::SegmentSet::WellSegmentRange Opm::SegmentSet::segments | ( | std::string_view | well | ) | const

Retrive result set's segments for single MS well.

Parameters

  [in] | well | Named MS well. Should usually be one of the items in the return value from .

Returns
  range of `well's` segments matching the input request. Empty unless `well` is one of the return values from
  .

## wells()

std::vector< std::string_view > Opm::SegmentSet::wells | ( |  | ) | const

Retrieve list of (MS) well names covered by this result set.

Returns
  List MS well names covered by this result set.

## Friends And Related Symbol Documentation

## SegmentMatcher

friend class SegmentMatcher

friend

Default constructor.

Disabled.

The documentation for this class was generated from the following files:

- opm/input/eclipse/Schedule/MSW/SegmentMatcher.hpp
- opm/input/eclipse/Schedule/MSW/SegmentMatcher.cpp